*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color:#2f363e;
}
.container
{
    position: relative;
    background: color #2f363e;;
    /*min-height: 500px;*/
    border-radius: 20px;
    border-top-left-radius: 225px;
    border-top-right-radius: 225px;
    box-shadow: 25px 25px 75px rgb(0, 0, 0),
    10px 10px 70px rgba(0, 0, 0,0.25);
    inset: 5px 5px 10px rgba(0,0,0,0.5);
    inset: 5px 5px 20px rgba(0,0,0,0.2);
    inset: -5px -5px 15px rgba(0,0,0,0.75);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
#analogClock
{
    position: relative;
    width: 350px;
    height: 350px;
    background-color:#2f363e;
    border-radius: 50%;
    box-shadow: 10px 50px 70px rgba(0, 0, 0,0.25);
    inset: 5px 5px 10px rgba(0,0,0,0.5);
    inset: 5px 5px 20px rgba(0,0,0,0.2);
    inset: -5px -5px 15px rgba(0,0,0,0.75);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
}
#analogClock::before
{
    /*making a small white circle for pins*/
    content: '';
    position: absolute;
    width: 8px;
    height: 8px;
    background-color:#2f363e;
    border: 3px solid rgb(255, 134, 134);
    border-radius: 50%;
    z-index: 100000;
}
#analogClock span
{
    position: absolute;
    inset: 20px;
    color: rgb(255, 255, 255);
    text-align: center;
    /*set variable --i in circular shape
    360/12=30deg*/
    transform: rotate(calc(30deg * var(--i)));
}
#analogClock span b
{
    font-size: 1.60rem;
    opacity: 0.5;
    font-weight: 600;
    display: inline-block;
    transform: rotate(calc(-30deg * var(--i)));
}
.circle
{
    position: absolute;
    width: 230px;
    height: 230px;
    border: 2px solid rgba(0, 0, 0,0.25);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    z-index: 10;
}
/*add colorfull dots above pins*/
.circle::before
{
    content: '';
    position: absolute;
    background-color: var(--clr);
    width: 8px;
    height: 8px;
    border-radius: 50%;
    box-shadow: 0 0 20px var(--clr),
    0 0 40px var(--clr);
    z-index: 100000;
}

.circle i
{
    position: absolute;
    width: 5px;
    height: 50%;
    background: var(--clr);
    transform-origin: bottom;
    transform: scaley(0.5);
    box-shadow: 0 0 8px var(--clr),
    0 0 10px var(--clr);
}
/* green pin seconds*/
.circle:nth-child(1) i
{
    width: 1px;
}
/*yello pin minutes*/
.circle2:nth-child(2) i
{
    width: 3px;
}
/*red pin hours*/
.circle3:nth-child(3) i
{
    width: 6px;
}
.circle2
{
    position: absolute;
    width: 185px;
    height: 185px;
    z-index: 9;
}
.circle3
{
    position: absolute;
    width: 140px;
    height: 140px;
    border-radius: 50%;
    z-index: 8;
}
/*digitsl analogClock styling*/
@font-face
{
    font-family: 'Digital-7';
    src: url('./digital-7.ttf') format('truetype');
}
  
#digitalClock{
    margin-bottom: 25px;
    display: flex;
    padding:10px 20px ;
    font-weight: 600;
    font-size: 1.5em;
    border: none;
    border-radius: 8px;
    box-shadow: 5px 15px 30px rgba(0, 0, 0, 0.9);
    font-family: "Digital-7";
}
#digitalClock div{
    position: relative;
    text-align: center;
    border: none;
    width: 50px;
    background: transparent;
    color:  var(--clr);
    text-shadow: 0 0 10px var(--clr), 0 0 50px var(--clr), 0 0 100px var(--clr);
}
#digitalClock div:nth-child(1)::after,
#digitalClock div:nth-child(2)::after{
    content: ':';
    position: absolute;
    right: -4px;
    color: gray;
}
#digitalClock div:nth-child(1)::after,
#digitalClock div:nth-child(2)::after
{
    animation: animate 1s steps(1) infinite;
}
@keyframes animate{
    0%{
        opacity: 1;
    }
    50%{
        opacity: 0;
    }

}